@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav hugeint -der -err hugeint.log
if errorlevel 1 (
    echo Error ASN.1-compiling.
    exit /b 1
) 

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd hugeint
echo Java-compiling generated classes...
echo.
call hugeint.bat %JAVAC% -g >>..\hugeint.log
cd ..
if not exist dsaparms.der (
	echo dsaparms.der not found.
    exit /b 1
)

%JAVAC% -g *.java >>hugeint.log
if not exist Runme.class (
    echo Error Java-compiling.
	echo Runme.class not found.
    exit /b 1
)


echo Running the test...
echo.
java Runme

if exist hugeint (
	rmdir /s /q hugeint
    exit /b 0
)

:cleanup
if exist hugeint rmdir /s /q hugeint
if exist hugeint.log del hugeint.log
if exist *.class del *.class
